Skip to main content

Update task template

PATCH
/task-templates/{id}

Changes only the name and description; the saved task snapshot remains unchanged.

Contract

Parameter
Value
Sectiontask-templates
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesintegerTemplate ID
requestbodyyesobjectNew name and description
  • {
      "description": "<string>",
      "name": "<string>"
    }

Responses

5 responses

Status
Description
Type
200
Template updatedno body
400
Invalid ID, request body, or metadataobject
401
Unauthorizedobject
404
Template not foundobject
500
Internal server errorobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }